.BrandVideo {
    display: flex;
    margin: 4rem 0;
    flex-direction: column;

    @include after-mobile {
        margin: 6rem 0 4rem;
        flex-direction: row;
    }

    &-Video {
        margin: 0 -1rem;
        flex: 1 1 100%;

        @include after-mobile {
            padding-right: 16px;
            margin: 0;
            flex: 1 1 50%;
        }
    }

    &-VideoPlaceholder {
        button {
            width: 192px;
            padding: 12px 0;
            border: 1px solid $white;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            color: $white;
            font-size: 14px;
            font-weight: 500;
            text-align: center;
            text-transform: uppercase;
            line-height: 24px;
        }
    }

    &-VideoOverlay {
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: 1000;
        background-color: rgba(0, 0, 0, 0.9);

        video {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);

            @media (max-width: 992px) {
                width: 100%;
                height: 100%;
            }
        }
    }

    &-Close {
        width: 30px;
        height: 30px;
        position: absolute;
        top: 30px;
        right: 30px;
        cursor: pointer;

        &::before,
        &::after {
            display: block;
            width: 100%;
            height: 2px;
            position: relative;
            top: 50%;
            background-color: $white;
            content: '';
        }

        &::before {
            transform: rotateZ(-45deg);
        }

        &::after {
            top: 48%;
            transform: rotateZ(45deg);
        }
    }

    &-Content {
        padding-left: 16px;
        flex: 1 1 50%;

        .BrandVideo {
            &-Logo {
                margin: 4rem 0 2.7rem;

                img {
                    width: auto;
                    height: 100%;
                }

                @include after-mobile {
                    margin: 4rem 0;
                }
            }

            &-Desc {
                font-size: 14px;
                font-weight: normal;
                line-height: 20px;
            }
        }
    }
}
